%define anolis_release 1

Name:           libgusb
Version:        0.4.2
Release:        %{anolis_release}%{?dist}
Summary:        GObject wrapper for libusb1

License:        LGPLv2+
URL:            https://github.com/hughsie/libgusb
Source0:        http://people.freedesktop.org/~hughsient/releases/%{name}-%{version}.tar.xz

BuildRequires:  meson >= 0.49.0
BuildRequires:  pkgconfig(gi-docgen) >= 2021.1
BuildRequires:  pkgconfig(gio-2.0) >= 2.44.0
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(json-glib-1.0) >= 1.1.1
BuildRequires:  pkgconfig(libusb-1.0) >= 1.0.9
BuildRequires:  pkgconfig(umockdev-1.0) >= 0.17.7
BuildRequires:	vala

%description
libgusb is a GObject wrapper for libusb1 that makes it easy to do
asynchronous control, bulk and interrupt transfers with proper
cancellation and integration into a mainloop. 

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary: Libraries and headers for gusb
Requires: %{name} = %{version}-%{release}

%description devel
GLib headers and libraries for gusb.

%prep
%setup -q

%build
%meson -Dvapi=true -Dtests=true
%meson_build

%install
%meson_install

%files
%license COPYING
%{_libdir}/libgusb.so.?
%{_libdir}/libgusb.so.?.0.*
%{_libdir}/girepository-1.0/GUsb-1.0.typelib

%files doc
%doc README.md AUTHORS NEWS

%files devel
%{_includedir}/gusb-1
%{_bindir}/gusbcmd
%{_libdir}/libgusb.so
%{_libdir}/pkgconfig/gusb.pc
%doc %{_datadir}/doc/%{name}
%{_datadir}/gir-1.0/GUsb-1.0.gir
%{_datadir}/vala/vapi/gusb.deps
%{_datadir}/vala/vapi/gusb.vapi

%changelog
* Thu Dec 29 2022 Funda Wang <fundwang@yeah.net> - 0.4.2-1
- New verison 0.4.2

* Mon Sep 26 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.4.0-1
- update to 0.4.0

* Fri Mar 04 2022 Su Lifan <su-lifan@linux.alibaba.com> - 0.3.10-1
- Initial packaging for Anolis 23
